### Method

# Fwupd BiosSetting get_icon

since: 2.1.7

#### Declaration [src]

    const gchar*
    fwupd_bios_setting_get_icon (
      FwupdBiosSetting* self
    )

#### Description [src]

Gets the icon name for this setting, e.g. `application-certificate`.

Available since: 2.1.7

#### Return value

Type: `const gchar*`

Icon name if set otherwise NULL.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.